function [mean_rqa_mat,iqr_rqa_mat,rqa_mat] = challenge_run_rqa_shambe(recordName)
%
% Sample entry for the 2017 PhysioNet/CinC Challenge.
%
% INPUTS:
% recordName: string specifying the record name to process
%
% OUTPUTS:
% classifyResult: integer value where
%                     N = normal rhythm
%                     A = AF
%                     O = other rhythm
%                     ~ = noisy recording (poor signal quality)
%
% To run your entry on the entire training set in a format that is
% compatible with PhysioNet's scoring enviroment, run the script
% generateValidationSet.m
%
% The challenge function requires that you have downloaded the challenge
% data 'training_set' in a subdirectory of the current directory.
%    http://physionet.org/physiobank/database/challenge/2017/
%
% This dataset is used by the generateValidationSet.m script to create
% the annotations on your training set that will be used to verify that
% your entry works properly in the PhysioNet testing environment.
%
%
% Version 1.0
%
%
% Written by: Chengyu Liu and Qiao Li January 20 2017
%             chengyu.liu@emory.edu  qiao.li@emory.edu
%
% Last modified by:
%
%
  
 classifyResult = 'N'; % default output normal rhythm
 [tm,ecg,fs,siginfo]=rdmat(recordName);
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);

if length(QRS)<=1
    mean_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    iqr_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    rqa_mat=[0,0,0,0,0,0,0,0,0,0];
else
 
     [frac_dim_corr2,frac_dim_corr1,QRS2,ecgc]=process2(recordName);

 
 
% [tm,ecg,fs,siginfo]=rdmat(recordName);
% [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);

% if length(QRS)<=2
%    classifyResult = '~'; 
% else
if length(QRS2)>2
[mean_rqa_mat,iqr_rqa_mat,rqa_mat]=calculate_rqa(ecgc,QRS2,fs);
else
    mean_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    iqr_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    rqa_mat=[0,0,0,0,0,0,0,0,0,0];
end

if isempty(iqr_rqa_mat)==1 ||isempty( mean_rqa_mat)==1
   mean_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    iqr_rqa_mat=[0,0,0,0,0,0,0,0,0,0];
    rqa_mat=[0,0,0,0,0,0,0,0,0,0];
end


% if feature_for_rqa(1,[1,2])==0
%      classifyResult = '~'; 
% else
% % feature_for_rqa=feature_for_rqa(1,[4,9,11,13,14,15,19]);
    
% load('trainedClassifierKoli.mat')
% output= trainedClassifierKoli.predictFcn(feature_for_rqa);
% if output==2
%    classifyResult = '~'; 
% 
%    else
%  %% normal-af
% 
% if length(QRS)<6
% else
%     RR=diff(QRS')/fs;
%     AFEv = comput_AFEv(RR);
%     load('classifier_ruyehame_takfeature.mat')
% 
%     
%     yfit = classifier_ruyehame_takfeature.predictFcn(AFEv);
% if yfit==1
%         classifyResult = 'A';
%     else
% 
% end
% end
% end
% end
end
end
% end


